/*********************************************************************************
**
**   $Id: VendorForm.h,v 1.2 2004/04/03 14:04:53 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#ifndef VENDORFORM_H
#define VENDORFORM_H

#include "Data/DataForm.h"

class VendorForm : public DataForm 
{
   Q_OBJECT

public:
   VendorForm(QWidget *pParent = 0, const char *pName = 0, WFlags f = 0 );
   VendorForm(const int _parent, QWidget *pParent = 0, const char *pName = 0, WFlags f = 0 );
   ~VendorForm() {};
   bool isInTransaction();

   QLineEdit      *nameEdit;

public slots:   
   void beginTransaction();
   void rollbackTransaction();
   void commitTransaction();
   void deleteRecord();
   void updateRecord();
   void insertRecord();

protected:
private:
   bool           inTransaction;
   YesNoSelect    *activeSelect;
};

#endif

